Package org.eclipse.birt.chart.ui.swt.interfaces

# Interface ITaskPreviewable

public interface ITaskPreviewable
Provides preview functionality if current task supports preview

## Method Summary

Modifier and Type
Method
Description
`IChartPreviewPainter`
`createPreviewPainter()`
Creates preview painter
`void`
`doPreview()`
Renders the preview in canvas
`org.eclipse.swt.widgets.Canvas`
`getPreviewCanvas()`
Returns the canvas which displays preview result
`boolean`
`isPreviewable()`
Indicates if current task can preview chart or not.

## Method Details

### isPreviewable

boolean isPreviewable()
Indicates if current task can preview chart or not.

Returns:
  support preview or not

### getPreviewCanvas

org.eclipse.swt.widgets.Canvas getPreviewCanvas()
Returns the canvas which displays preview result

Returns:
  canvas

### createPreviewPainter

IChartPreviewPainter createPreviewPainter()
Creates preview painter

Returns:
  preview painter

### doPreview

void doPreview()
Renders the preview in canvas